Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# OdeWorld Class Reference

List of all members.

## Public Member Functions
| OdeWorld ()
| OdeWorld (OdeWorld const copy)
| addBodyDampening (OdeBody body, int surface)
float | applyDampening (float dt, OdeBody body)
int | compareTo (OdeWorld const other)
| destroy ()
float | getAutoDisableAngularThreshold ()
int | getAutoDisableFlag ()
float | getAutoDisableLinearThreshold ()
int | getAutoDisableSteps ()
float | getAutoDisableTime ()
int | getAutoEnableDepthSf1 ()
float | getCfm ()
float | getContactMaxCorrectingVel ()
float | getContactSurfaceLayer ()
float | getErp ()
VBase3 | getGravity ()
dxWorld | getId ()
| Returns the underlying dWorldID.
int | getQuickStepNumIterations ()
float | getQuickStepW ()
VBase3 | impulseToForce (float stepsize, VBase3 const impulse)
VBase3 | impulseToForce (float stepsize, float ix, float iy, float iz)
| initSurfaceTable (unsigned char num_surfaces)
bool | isEmpty ()
| Returns true if the ID is 0, meaning the OdeWorld does not point to a valid world.
| quickStep (float stepsize)
| setAutoDisableAngularThreshold (float angular_threshold)
| setAutoDisableFlag (int do_auto_disable)
| setAutoDisableLinearThreshold (float linear_threshold)
| setAutoDisableSteps (int steps)
| setAutoDisableTime (float time)
| setAutoEnableDepthSf1 (int auto_enable_depth)
| setCfm (float cfm)
| setContactMaxCorrectingVel (float vel)
| setContactSurfaceLayer (float depth)
| setErp (float erp)
| setGravity (VBase3 const vec)
| setGravity (float x, float y, float z)
| setQuickStepNumIterations (int num)
| setQuickStepW (float over_relaxation)
| setSurfaceEntry (unsigned char pos1, unsigned char pos2, float mu, float bounce, float bounce_vel, float soft_erp, float soft_cfm, float slip, float dampen)
| step (float stepsize)
| stepFast1 (float stepsize, int maxiterations)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Constructor & Destructor Documentation

OdeWorld | ( |  | ) |

OdeWorld | ( | OdeWorld const | copy | ) |

## Member Function Documentation

addBodyDampening | ( | OdeBody | body,
|  | int | surface
| ) |  |

float applyDampening | ( | float | dt,
|  | OdeBody | body
| ) |  |

int compareTo | ( | OdeWorld const | other | ) |

destroy | ( |  | ) |

float getAutoDisableAngularThreshold | ( |  | ) |

int getAutoDisableFlag | ( |  | ) |

float getAutoDisableLinearThreshold | ( |  | ) |

int getAutoDisableSteps | ( |  | ) |

float getAutoDisableTime | ( |  | ) |

int getAutoEnableDepthSf1 | ( |  | ) |

float getCfm | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

float getContactMaxCorrectingVel | ( |  | ) |

float getContactSurfaceLayer | ( |  | ) |

float getErp | ( |  | ) |

VBase3 getGravity | ( |  | ) |

dxWorld getId | ( |  | ) |

Returns the underlying dWorldID.

int getQuickStepNumIterations | ( |  | ) |

float getQuickStepW | ( |  | ) |

VBase3 impulseToForce | ( | float | stepsize,
|  | float | ix,
|  | float | iy,
|  | float | iz
| ) |  |

VBase3 impulseToForce | ( | float | stepsize,
|  | VBase3 const | impulse
| ) |  |

initSurfaceTable | ( | unsigned char | num_surfaces | ) |

bool isEmpty | ( |  | ) |

Returns true if the ID is 0, meaning the OdeWorld does not point to a valid world.

It is an error to call a method on an empty world. Note that an empty OdeWorld also evaluates to False.

quickStep | ( | float | stepsize | ) |

setAutoDisableAngularThreshold | ( | float | angular_threshold | ) |

setAutoDisableFlag | ( | int | do_auto_disable | ) |

setAutoDisableLinearThreshold | ( | float | linear_threshold | ) |

setAutoDisableSteps | ( | int | steps | ) |

setAutoDisableTime | ( | float | time | ) |

setAutoEnableDepthSf1 | ( | int | auto_enable_depth | ) |

setCfm | ( | float | cfm | ) |

setContactMaxCorrectingVel | ( | float | vel | ) |

setContactSurfaceLayer | ( | float | depth | ) |

setErp | ( | float | erp | ) |

setGravity | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

setGravity | ( | VBase3 const | vec | ) |

setQuickStepNumIterations | ( | int | num | ) |

setQuickStepW | ( | float | over_relaxation | ) |

setSurfaceEntry | ( | unsigned char | pos1,
|  | unsigned char | pos2,
|  | float | mu,
|  | float | bounce,
|  | float | bounce_vel,
|  | float | soft_erp,
|  | float | soft_cfm,
|  | float | slip,
|  | float | dampen
| ) |  |

step | ( | float | stepsize | ) |

stepFast1 | ( | float | stepsize,
|  | int | maxiterations
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties